name: digest
version: 0.0.1.2
id: digest-0.0.1.2-93hmxvQ2VB3FeV97QkdTpW
key: digest-0.0.1.2-93hmxvQ2VB3FeV97QkdTpW
license: BSD-3-Clause
copyright: (c) 2009 Eugene Kirpichov
maintainer: Eugene Kirpichov <ekirpichov@gmail.com>
author: Eugene Kirpichov <ekirpichov@gmail.com>
stability: provisional
synopsis: Various cryptographic hashes for bytestrings; CRC32 and Adler32 for now.
description:
    This package provides efficient cryptographic hash implementations for
    strict and lazy bytestrings. For now, CRC32 and Adler32 are supported;
    they are implemented as FFI bindings to efficient code from zlib.
category: Cryptography
abi: 0a7e301658054da72c246d76f0eee27b
exposed: True
exposed-modules:
    Data.Digest.Adler32 Data.Digest.CRC32
import-dirs: /usr/local/lib/ghc/digest-0.0.1.2
library-dirs: /usr/local/lib/ghc/digest-0.0.1.2
dynamic-library-dirs: /usr/local/lib/ghc/digest-0.0.1.2
data-dir: /usr/local/share/hs-digest-0.0.1.2
hs-libraries: HSdigest-0.0.1.2-93hmxvQ2VB3FeV97QkdTpW
extra-libraries:
    z
includes:
    zlib.h
depends:
    base-4.12.0.0 bytestring-0.10.8.2
haddock-interfaces: /usr/local/share/doc/hs-digest-0.0.1.2/html/digest.haddock
haddock-html: /usr/local/share/doc/hs-digest-0.0.1.2/html
